Webhooks

Webhook management and events

Get all available webhook event types

get
Authorizations
Responses
get
/api/webhook/events
200

Returns list of all webhook event types with descriptions and example payloads

Create webhook subscription

post
Authorizations
Body
eventall ofRequired

Event type that triggers the webhook

Example: extracted
string · enumOptionalPossible values:
urlstringRequired

URL where webhook notifications will be sent

Example: https://example.com/webhook-endpoint
Responses
post
/api/webhook/subscription

Get all webhook subscriptions

get
Authorizations
Responses
get
/api/webhook/subscriptions

Get webhook subscription by ID

get
Authorizations
Path parameters
idstringRequired

Subscription ID

Responses
get
/api/webhook/subscription/{id}

Update webhook subscription

put
Authorizations
Path parameters
idstringRequired

Subscription ID

Body
eventall ofOptional

Event type that triggers the webhook

Example: extracted
string · enumOptionalPossible values:
urlstringOptional

URL where webhook notifications will be sent

Example: https://example.com/webhook-endpoint
Responses
put
/api/webhook/subscription/{id}

Delete webhook subscription

delete
Authorizations
Path parameters
idstringRequired

Subscription ID

Responses
delete
/api/webhook/subscription/{id}

Last updated

Was this helpful?